Skip to main content
GET
/
v1
/
onboarding
/
partner
/
applications
/
{applicationId}
/
rfis
/
{rfiId}
Get RFI detail with comment history
curl --request GET \
  --url https://api-sandbox.circle.com/v1/onboarding/partner/applications/{applicationId}/rfis/{rfiId} \
  --header 'Authorization: Bearer <token>'
{
  "comments": [
    {
      "author": "<string>",
      "commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "field": "<string>",
  "rfiId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "section": "<string>",
  "status": "<string>",
  "type": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.circle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

applicationId
string<uuid>
required

Application UUID

rfiId
string<uuid>
required

RFI UUID

Response

RFI detail with comments

comments
object[]
createdAt
string<date-time>
field
string
rfiId
string<uuid>
section
string
status
string
type
string